using Lada.Framework.Data.Enums;
using System.ComponentModel.DataAnnotations;

namespace Ladaer.BackEnd.Infrastructures.DTO.Models.Cms
{
    public class ScriptConfigModel
    {
        public int? Id { get; set; }

        [Required(ErrorMessage = "Tên không được để trống")]
        [MaxLength(128, ErrorMessage = "Tên tối đa 128 ký tự")]
        public string Name { get; set; } = "";

        [Required(ErrorMessage = "Nội dung script không được để trống")]
        [MaxLength(2048, ErrorMessage = "Script tối đa 2048 ký tự")]
        public string ScriptContent { get; set; } = "";

        public bool IsActive { get; set; } = true;

        [Required(ErrorMessage = "Vị trí không được để trống")]
        public ScriptPosition Position { get; set; }

        [MaxLength(512, ErrorMessage = "Mô tả tối đa 512 ký tự")]
        public string Description { get; set; } = "";

        public int? CreatedBy { get; set; }
        public string CreatedByUserName { get; set; } = "";
        public int? UpdatedBy { get; set; }
        public string UpdatedByUserName { get; set; } = "";
        public DateTime? CreatedTime { get; set; }
        public DateTime? UpdatedTime { get; set; }
    }
}